---
apiVersion: automationhub.ansible.com/v1beta1
kind: AutomationHub
metadata:
  name: {{ aaphub_instance_name }}
  namespace: {{ aap_operator_namespace }}
spec:
  route_tls_termination_mechanism: Edge
  ingress_type: Route
  loadbalancer_port: 80
  file_storage_size: 100Gi
  image_pull_policy: IfNotPresent
{% if openshift_storage_class == "gp3-csi" %}
  file_storage_access_mode: ReadWriteOnce
{% else %}
  file_storage_access_mode: ReadWriteMany
{% endif %}
  web:
    replicas: 1
  content:
    log_level: INFO
    replicas: 2
  postgres_storage_requirements:
    limits:
      storage: 50Gi
    requests:
      storage: 8Gi
  api:
    log_level: INFO
    replicas: 1
  postgres_resource_requirements:
    limits:
      cpu: 1000m
      memory: 8Gi
    requests:
      cpu: 500m
      memory: 2Gi
  redis:
    log_level: INFO
    replicas: 1
  loadbalancer_protocol: http
  resource_manager:
    replicas: 1
  route_host: {{ aaphub_instance_route }}
  storage_type: File
  worker:
    replicas: 2
{% if aaphub_instance_admin_password is defined %}
  admin_password_secret: {{ aaphub_instance_name }}-admin-password
{% endif %}
